<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useWorkflow](./react.useworkflow.md)

## useWorkflow() function

<b>Signature:</b>

```typescript
export declare function useWorkflow(input?: Workflow | undefined, inputs?: TableContainer[]): Workflow;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  input | Workflow \| undefined | <i>(Optional)</i> |
|  inputs | TableContainer\[\] | <i>(Optional)</i> |

<b>Returns:</b>

Workflow

